# numfmt.h File Reference

C++ API: Abstract base class for all number formats. More...

`#include "unicode/utypes.h"`
`#include "unicode/unistr.h"`
`#include "unicode/format.h"`
`#include "unicode/unum.h"`
`#include "unicode/locid.h"`
`#include "unicode/stringpiece.h"`

Go to the source code of this file.

## Data Structures
class | NumberFormat
| Abstract base class for all number formats. More...
class | NumberFormatFactory
| A NumberFormatFactory is used to register new number formats. More...
class | SimpleNumberFormatFactory
| A NumberFormatFactory that supports a single locale. More...

## Detailed Description

C++ API: Abstract base class for all number formats.

Definition in file numfmt.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines